/*
 * Copyright (c) 2000-2009 Apple Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * This file contains Original Code and/or Modifications of Original Code
 * as defined in and that are subject to the Apple Public Source License
 * Version 2.0 (the 'License'). You may not use this file except in
 * compliance with the License. Please obtain a copy of the License at
 * http://www.opensource.apple.com/apsl/ and read it before using this
 * file.
 * 
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
 * Please see the License for the specific language governing rights and
 * limitations under the License.
 * 
 * @APPLE_LICENSE_HEADER_END@
 */

/*
 * This file is automatically generated
 * DO NOT EDIT!
 */

/*
 * Preference Keys
 *
 *   kSCPrefVirtualNetworkInterfaces                    "VirtualNetworkInterfaces"     CFDictionary
 *
 * Network Entity Keys
 *
 *   kSCEntNetCommCenter                                "com.apple.CommCenter"         CFDictionary
 *   kSCEntNetEAPOL                                     "EAPOL"                        CFDictionary
 *   kSCEntNetOnDemand                                  "OnDemand"                     CFDictionary
 *   kSCEntNetService                                   "__SERVICE__"                  CFDictionary
 *
 * kSCCompNetwork Properties
 *
 *   kSCPropNetIgnoreLinkStatus                         "IgnoreLinkStatus"             CFBoolean
 *
 * kSCEntNetCommCenter Entity Keys
 *
 *   kSCPropNetCommCenterAllowNetworkAccess             "AllowNetworkAccess"           CFNumber (0 or 1)
 *   kSCPropNetCommCenterAvailable                      "Available"                    CFNumber (0 or 1)
 *
 * kSCEntNetIPSec Entity Keys
 *
 *   kSCPropNetIPSecLastCause                           "LastCause"                    CFNumber
 *
 *   --- OnDemand: ---
 *   kSCPropNetIPSecOnDemandEnabled                     "OnDemandEnabled"              CFNumber (0 or 1)
 *   kSCPropNetIPSecOnDemandMatchDomainsAlways          "OnDemandMatchDomainsAlways"   CFArray[CFString]
 *   kSCPropNetIPSecOnDemandMatchDomainsOnRetry         "OnDemandMatchDomainsOnRetry"  CFArray[CFString]
 *   kSCPropNetIPSecOnDemandMatchDomainsNever           "OnDemandMatchDomainsNever"    CFArray[CFString]
 *
 * kSCEntNetIPv4 Entity Keys
 *
 *   --- kSCPropNetIPv4ConfigMethod values ---
 *   kSCValNetIPv4ConfigMethodFailover                  "Failover"
 *
 * kSCEntNetPPP Entity Keys
 *
 *   --- OnDemand: ---
 *   kSCPropNetPPPOnDemandDomains                       "OnDemandDomains"              CFArray[CFString]
 *   kSCPropNetPPPOnDemandEnabled                       "OnDemandEnabled"              CFNumber (0 or 1)
 *   kSCPropNetPPPOnDemandHostName                      "OnDemandHostName"             CFString
 *   kSCPropNetPPPOnDemandMode                          "OnDemandMode"                 CFString
 *   kSCPropNetPPPOnDemandPriority                      "OnDemandPriority"             CFString
 *
 *   --- kSCPropNetPPPOnDemandMode values ---
 *   kSCValNetPPPOnDemandModeAggressive                 "Aggressive"
 *   kSCValNetPPPOnDemandModeConservative               "Conservative"
 *   kSCValNetPPPOnDemandModeCompatible                 "Compatible"
 *
 *   --- kSCPropNetPPPOnDemandPriority values ---
 *   kSCValNetPPPOnDemandPriorityDefault                "Default"
 *   kSCValNetPPPOnDemandPriorityHigh                   "High"
 *   kSCValNetPPPOnDemandPriorityLow                    "Low"
 *
 * kSCEntNetService Entity Keys
 *
 *   kSCPropNetServicePrimaryRank                       "PrimaryRank"                  CFString
 *   kSCPropNetServiceUserDefinedName                   "UserDefinedName"              CFString
 *
 *   --- kSCPropNetServicePrimaryRank values ---
 *   kSCValNetServicePrimaryRankFirst                   "First"
 *   kSCValNetServicePrimaryRankLast                    "Last"
 *   kSCValNetServicePrimaryRankNever                   "Never"
 *
 * kSCCompSystem Properties
 *
 *   kSCPropSystemComputerNameRegion                    "ComputerNameRegion"           CFNumber
 *   kSCPropSystemHostName                              "HostName"                     CFString
 *
 * Virtual Network Interface Keys
 *
 *   kSCPropVirtualNetworkInterfacesBondInterfaces      "Interfaces"                   CFArray[CFString]
 *   kSCPropVirtualNetworkInterfacesBondMode            "Mode"                         CFNumber
 *   kSCPropVirtualNetworkInterfacesBondOptions         "Options"                      CFDictionary
 *
 *   kSCPropVirtualNetworkInterfacesVLANInterface       "Interface"                    CFString
 *   kSCPropVirtualNetworkInterfacesVLANTag             "Tag"                          CFNumber
 *   kSCPropVirtualNetworkInterfacesVLANOptions         "Options"                      CFDictionary
 */


#ifndef _SCSCHEMADEFINITIONSPRIVATE_H
#define _SCSCHEMADEFINITIONSPRIVATE_H

/* -------------------- Macro declarations -------------------- */

#include <SystemConfiguration/SCSchemaDefinitions.h>

/* -------------------- HeaderDoc comments -------------------- */


#if	0
/*!
 *	@header SCSchemaDefinitionsPrivate
 */

/*!
  @group Preference Keys
 */

/*!
  @const kSCPrefVirtualNetworkInterfaces
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPrefVirtualNetworkInterfaces;

/*!
  @group Network Entity Keys
 */

/*!
  @const kSCEntNetCommCenter
  @availability Introduced in iPhone OS 2.0.
 */
extern const CFStringRef kSCEntNetCommCenter;

/*!
  @const kSCEntNetEAPOL
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCEntNetEAPOL;

/*!
  @const kSCEntNetOnDemand
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCEntNetOnDemand;

/*!
  @const kSCEntNetService
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCEntNetService;

/*!
  @group kSCCompNetwork Properties
 */

/*!
  @const kSCPropNetIgnoreLinkStatus
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetIgnoreLinkStatus;

/*!
  @group kSCEntNetCommCenter Entity Keys
 */

/*!
  @const kSCPropNetCommCenterAllowNetworkAccess
  @availability Introduced in iPhone OS 2.0.
 */
extern const CFStringRef kSCPropNetCommCenterAllowNetworkAccess;

/*!
  @const kSCPropNetCommCenterAvailable
  @availability Introduced in iPhone OS 2.0.
 */
extern const CFStringRef kSCPropNetCommCenterAvailable;

/*!
  @group kSCEntNetIPSec Entity Keys
 */

/*!
  @const kSCPropNetIPSecLastCause
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecLastCause;

/*!
  @const kSCPropNetIPSecOnDemandEnabled
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecOnDemandEnabled;

/*!
  @const kSCPropNetIPSecOnDemandMatchDomainsAlways
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecOnDemandMatchDomainsAlways;

/*!
  @const kSCPropNetIPSecOnDemandMatchDomainsOnRetry
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecOnDemandMatchDomainsOnRetry;

/*!
  @const kSCPropNetIPSecOnDemandMatchDomainsNever
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetIPSecOnDemandMatchDomainsNever;

/*!
  @group kSCEntNetIPv4 Entity Keys
 */

/*!
  @const kSCValNetIPv4ConfigMethodFailover
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetIPv4ConfigMethodFailover;

/*!
  @group kSCEntNetPPP Entity Keys
 */

/*!
  @const kSCPropNetPPPOnDemandDomains
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetPPPOnDemandDomains;

/*!
  @const kSCPropNetPPPOnDemandEnabled
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetPPPOnDemandEnabled;

/*!
  @const kSCPropNetPPPOnDemandHostName
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetPPPOnDemandHostName;

/*!
  @const kSCPropNetPPPOnDemandMode
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetPPPOnDemandMode;

/*!
  @const kSCPropNetPPPOnDemandPriority
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropNetPPPOnDemandPriority;

/*!
  @const kSCValNetPPPOnDemandModeAggressive
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandModeAggressive;

/*!
  @const kSCValNetPPPOnDemandModeConservative
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandModeConservative;

/*!
  @const kSCValNetPPPOnDemandModeCompatible
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandModeCompatible;

/*!
  @const kSCValNetPPPOnDemandPriorityDefault
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandPriorityDefault;

/*!
  @const kSCValNetPPPOnDemandPriorityHigh
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandPriorityHigh;

/*!
  @const kSCValNetPPPOnDemandPriorityLow
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCValNetPPPOnDemandPriorityLow;

/*!
  @group kSCEntNetService Entity Keys
 */

/*!
  @const kSCPropNetServicePrimaryRank
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetServicePrimaryRank;

/*!
  @const kSCPropNetServiceUserDefinedName
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCPropNetServiceUserDefinedName;

/*!
  @const kSCValNetServicePrimaryRankFirst
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCValNetServicePrimaryRankFirst;

/*!
  @const kSCValNetServicePrimaryRankLast
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCValNetServicePrimaryRankLast;

/*!
  @const kSCValNetServicePrimaryRankNever
  @availability Introduced in Mac OS X 10.6.
 */
extern const CFStringRef kSCValNetServicePrimaryRankNever;

/*!
  @group kSCCompSystem Properties
 */

/*!
  @const kSCPropSystemComputerNameRegion
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropSystemComputerNameRegion;

/*!
  @const kSCPropSystemHostName
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropSystemHostName;

/*!
  @group Virtual Network Interface Keys
 */

/*!
  @const kSCPropVirtualNetworkInterfacesBondInterfaces
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBondInterfaces;

/*!
  @const kSCPropVirtualNetworkInterfacesBondMode
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBondMode;

/*!
  @const kSCPropVirtualNetworkInterfacesBondOptions
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBondOptions;

/*!
  @const kSCPropVirtualNetworkInterfacesVLANInterface
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesVLANInterface;

/*!
  @const kSCPropVirtualNetworkInterfacesVLANTag
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesVLANTag;

/*!
  @const kSCPropVirtualNetworkInterfacesVLANOptions
  @availability Introduced in Mac OS X 10.5.
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesVLANOptions;

#endif	/* 0 */


/* -------------------- Schema declarations -------------------- */


  SC_SCHEMA_DECLARATION(kSCPrefVirtualNetworkInterfaces, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPrefVirtualNetworkInterfaces                               \
	  SC_SCHEMA_KV(kSCPrefVirtualNetworkInterfaces                  \
		      ,"VirtualNetworkInterfaces"                       \
		      ,CFDictionary                                     )
#endif


  SC_SCHEMA_DECLARATION(kSCEntNetEAPOL, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCEntNetEAPOL                                                \
	  SC_SCHEMA_KV(kSCEntNetEAPOL                                   \
		      ,"EAPOL"                                          \
		      ,CFDictionary                                     )
#endif

  SC_SCHEMA_DECLARATION(kSCEntNetOnDemand, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 30000)/*SPI*/
  #define kSCEntNetOnDemand                                             \
	  SC_SCHEMA_KV(kSCEntNetOnDemand                                \
		      ,"OnDemand"                                       \
		      ,CFDictionary                                     )
#endif

  SC_SCHEMA_DECLARATION(kSCEntNetService, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCEntNetService                                              \
	  SC_SCHEMA_KV(kSCEntNetService                                 \
		      ,"__SERVICE__"                                    \
		      ,CFDictionary                                     )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetIgnoreLinkStatus, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropNetIgnoreLinkStatus                                    \
	  SC_SCHEMA_KV(kSCPropNetIgnoreLinkStatus                       \
		      ,"IgnoreLinkStatus"                               \
		      ,CFBoolean                                        )
#endif


  SC_SCHEMA_DECLARATION(kSCPropNetIPSecLastCause, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 30000)/*SPI*/
  #define kSCPropNetIPSecLastCause                                      \
	  SC_SCHEMA_KV(kSCPropNetIPSecLastCause                         \
		      ,"LastCause"                                      \
		      ,CFNumber                                         )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecOnDemandEnabled, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 30000)/*SPI*/
  #define kSCPropNetIPSecOnDemandEnabled                                \
	  SC_SCHEMA_KV(kSCPropNetIPSecOnDemandEnabled                   \
		      ,"OnDemandEnabled"                                \
		      ,CFNumber (0 or 1)                                )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecOnDemandMatchDomainsAlways, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 30000)/*SPI*/
  #define kSCPropNetIPSecOnDemandMatchDomainsAlways                     \
	  SC_SCHEMA_KV(kSCPropNetIPSecOnDemandMatchDomainsAlways        \
		      ,"OnDemandMatchDomainsAlways"                     \
		      ,CFArray[CFString]                                )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecOnDemandMatchDomainsOnRetry, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 30000)/*SPI*/
  #define kSCPropNetIPSecOnDemandMatchDomainsOnRetry                    \
	  SC_SCHEMA_KV(kSCPropNetIPSecOnDemandMatchDomainsOnRetry       \
		      ,"OnDemandMatchDomainsOnRetry"                    \
		      ,CFArray[CFString]                                )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetIPSecOnDemandMatchDomainsNever, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 30000)/*SPI*/
  #define kSCPropNetIPSecOnDemandMatchDomainsNever                      \
	  SC_SCHEMA_KV(kSCPropNetIPSecOnDemandMatchDomainsNever         \
		      ,"OnDemandMatchDomainsNever"                      \
		      ,CFArray[CFString]                                )
#endif

  SC_SCHEMA_DECLARATION(kSCValNetIPv4ConfigMethodFailover, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCValNetIPv4ConfigMethodFailover                             \
	  SC_SCHEMA_KV(kSCValNetIPv4ConfigMethodFailover                \
		      ,"Failover"                                       \
		      ,                                                 )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetPPPOnDemandDomains, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropNetPPPOnDemandDomains                                  \
	  SC_SCHEMA_KV(kSCPropNetPPPOnDemandDomains                     \
		      ,"OnDemandDomains"                                \
		      ,CFArray[CFString]                                )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetPPPOnDemandEnabled, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropNetPPPOnDemandEnabled                                  \
	  SC_SCHEMA_KV(kSCPropNetPPPOnDemandEnabled                     \
		      ,"OnDemandEnabled"                                \
		      ,CFNumber (0 or 1)                                )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetPPPOnDemandHostName, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropNetPPPOnDemandHostName                                 \
	  SC_SCHEMA_KV(kSCPropNetPPPOnDemandHostName                    \
		      ,"OnDemandHostName"                               \
		      ,CFString                                         )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetPPPOnDemandMode, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropNetPPPOnDemandMode                                     \
	  SC_SCHEMA_KV(kSCPropNetPPPOnDemandMode                        \
		      ,"OnDemandMode"                                   \
		      ,CFString                                         )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetPPPOnDemandPriority, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropNetPPPOnDemandPriority                                 \
	  SC_SCHEMA_KV(kSCPropNetPPPOnDemandPriority                    \
		      ,"OnDemandPriority"                               \
		      ,CFString                                         )
#endif

  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandModeAggressive, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCValNetPPPOnDemandModeAggressive                            \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandModeAggressive               \
		      ,"Aggressive"                                     \
		      ,                                                 )
#endif

  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandModeConservative, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCValNetPPPOnDemandModeConservative                          \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandModeConservative             \
		      ,"Conservative"                                   \
		      ,                                                 )
#endif

  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandModeCompatible, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCValNetPPPOnDemandModeCompatible                            \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandModeCompatible               \
		      ,"Compatible"                                     \
		      ,                                                 )
#endif

  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandPriorityDefault, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCValNetPPPOnDemandPriorityDefault                           \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandPriorityDefault              \
		      ,"Default"                                        \
		      ,                                                 )
#endif

  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandPriorityHigh, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCValNetPPPOnDemandPriorityHigh                              \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandPriorityHigh                 \
		      ,"High"                                           \
		      ,                                                 )
#endif

  SC_SCHEMA_DECLARATION(kSCValNetPPPOnDemandPriorityLow, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCValNetPPPOnDemandPriorityLow                               \
	  SC_SCHEMA_KV(kSCValNetPPPOnDemandPriorityLow                  \
		      ,"Low"                                            \
		      ,                                                 )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetServicePrimaryRank, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropNetServicePrimaryRank                                  \
	  SC_SCHEMA_KV(kSCPropNetServicePrimaryRank                     \
		      ,"PrimaryRank"                                    \
		      ,CFString                                         )
#endif

  SC_SCHEMA_DECLARATION(kSCPropNetServiceUserDefinedName, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropNetServiceUserDefinedName                              \
	  SC_SCHEMA_KV(kSCPropNetServiceUserDefinedName                 \
		      ,"UserDefinedName"                                \
		      ,CFString                                         )
#endif

  SC_SCHEMA_DECLARATION(kSCValNetServicePrimaryRankFirst, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCValNetServicePrimaryRankFirst                              \
	  SC_SCHEMA_KV(kSCValNetServicePrimaryRankFirst                 \
		      ,"First"                                          \
		      ,                                                 )
#endif

  SC_SCHEMA_DECLARATION(kSCValNetServicePrimaryRankLast, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCValNetServicePrimaryRankLast                               \
	  SC_SCHEMA_KV(kSCValNetServicePrimaryRankLast                  \
		      ,"Last"                                           \
		      ,                                                 )
#endif

  SC_SCHEMA_DECLARATION(kSCValNetServicePrimaryRankNever, __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1060) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCValNetServicePrimaryRankNever                              \
	  SC_SCHEMA_KV(kSCValNetServicePrimaryRankNever                 \
		      ,"Never"                                          \
		      ,                                                 )
#endif

  SC_SCHEMA_DECLARATION(kSCPropSystemComputerNameRegion, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropSystemComputerNameRegion                               \
	  SC_SCHEMA_KV(kSCPropSystemComputerNameRegion                  \
		      ,"ComputerNameRegion"                             \
		      ,CFNumber                                         )
#endif

  SC_SCHEMA_DECLARATION(kSCPropSystemHostName, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropSystemHostName                                         \
	  SC_SCHEMA_KV(kSCPropSystemHostName                            \
		      ,"HostName"                                       \
		      ,CFString                                         )
#endif

#if !TARGET_OS_IPHONE

  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesBondInterfaces, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropVirtualNetworkInterfacesBondInterfaces                 \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesBondInterfaces    \
		      ,"Interfaces"                                     \
		      ,CFArray[CFString]                                )
#endif

  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesBondMode, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropVirtualNetworkInterfacesBondMode                       \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesBondMode          \
		      ,"Mode"                                           \
		      ,CFNumber                                         )
#endif

  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesBondOptions, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropVirtualNetworkInterfacesBondOptions                    \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesBondOptions       \
		      ,"Options"                                        \
		      ,CFDictionary                                     )
#endif

  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesVLANInterface, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropVirtualNetworkInterfacesVLANInterface                  \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesVLANInterface     \
		      ,"Interface"                                      \
		      ,CFString                                         )
#endif

  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesVLANTag, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropVirtualNetworkInterfacesVLANTag                        \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesVLANTag           \
		      ,"Tag"                                            \
		      ,CFNumber                                         )
#endif

  SC_SCHEMA_DECLARATION(kSCPropVirtualNetworkInterfacesVLANOptions, __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/))
#if (__MAC_OS_X_VERSION_MIN_REQUIRED >= 1050) || (__IPHONE_OS_VERSION_MIN_REQUIRED >= 20000)/*SPI*/
  #define kSCPropVirtualNetworkInterfacesVLANOptions                    \
	  SC_SCHEMA_KV(kSCPropVirtualNetworkInterfacesVLANOptions       \
		      ,"Options"                                        \
		      ,CFDictionary                                     )
#endif

#endif // !TARGET_OS_IPHONE

#endif /* _SCSCHEMADEFINITIONSPRIVATE_H */
